### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/ecl-menu-mega/ecl-menu-mega-item.component.ts`

### Implements

`EclMenuItem`

### Metadata

selector | `ecl-menu-mega-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-menu-mega-item.component.html`

### Index

###### Properties
children hasChildren isExpanded
###### Methods
onItemClick
###### Inputs
href id isCurrent label
###### Outputs
menuItemSelect
###### HostBindings
class.ecl-menu__subitem

### Inputs

href
Type : `string`
Default value : `''`

id
Type : `string`

isCurrent
Type : `boolean`

label
Type : `string`

### Outputs

menuItemSelect
Type : `EventEmitter`

### HostBindings

class.ecl-menu__subitem
Type : `boolean`
Default value : `true`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

children
Type : `Array<EclMenuItem>`
Default value : `[]`

hasChildren
Type : `boolean`
Default value : `false`

isExpanded
Type : `boolean`
Default value : `true`

# result-matching ""

# No results matching ""